Index: rom/bios.s
===================================================================
--- rom/bios.s	(revision 6dc5ea7000bff3bcffba6e41b975f23c1ce646eb)
+++ rom/bios.s	(revision 4cfe69aa0cc00430379e3934cf85c7a661bf1769)
@@ -431,14 +431,14 @@
 begin:		bra.s	biosinit		| Jump to bios init
 
-vermsg:		dc.b	VM1,VM2			| Version number
-
-		dc.l	biosinit		| Reset address (bios init)
-
-created:	dc.l	VDATE			| Creation date
+vermsg:		.dc.b	VM1,VM2			| Version number
+
+		.dc.l	biosinit		| Reset address (bios init)
+
+created:	.dc.l	VDATE			| Creation date
 
 copyrite:	.ascii	"{Copyright 1988 by "	| Copyright message
 		.asciz	"D.N. Lynx Crowe}"
 
-		dc.l	0			| Some padding
+		.dc.l	0			| Some padding
 
 		.page
@@ -3323,18 +3323,18 @@
 | t13tab -- Trap-13 pointer table -- Primary BIOS functions
 | ------    -----------------------------------------------
-t13tab:		dc.w	12			| Number of Trap-13 routines
-
-		dc.l	nullrts			| 0 - (getmpb)
-		dc.l	bconstat		| 1 - bconstat
-		dc.l	bconin			| 2 - bconin
-		dc.l	bconout			| 3 - bconout
-		dc.l	rwabs			| 4 - rwabs
-		dc.l	setexec			| 5 - setexec
-		dc.l	nullrts			| 6 - (tickcal)
-		dc.l	getbpb			| 7 - getbpb
-		dc.l	bcostat			| 8 - bcostat
-		dc.l	mediach			| 9 - mediach
-		dc.l	drvmap			| 10 - drvmap
-		dc.l	nullrts			| 11 - (shift)
+t13tab:		.dc.w	12			| Number of Trap-13 routines
+
+		.dc.l	nullrts			| 0 - (getmpb)
+		.dc.l	bconstat		| 1 - bconstat
+		.dc.l	bconin			| 2 - bconin
+		.dc.l	bconout			| 3 - bconout
+		.dc.l	rwabs			| 4 - rwabs
+		.dc.l	setexec			| 5 - setexec
+		.dc.l	nullrts			| 6 - (tickcal)
+		.dc.l	getbpb			| 7 - getbpb
+		.dc.l	bcostat			| 8 - bcostat
+		.dc.l	mediach			| 9 - mediach
+		.dc.l	drvmap			| 10 - drvmap
+		.dc.l	nullrts			| 11 - (shift)
 
 		.page
@@ -3342,16 +3342,16 @@
 | t14tab -- Trap-14 pointer table -- Extended BIOS functions (Buchla 700 only)
 | ------    ------------------------------------------------------------------
-t14tab:		dc.w	10			| Number of trap14 routines
-
-		dc.l	piorec			| 0 - Get iorec address
-		dc.l	setport			| 1 - Set ACIA parameters
-		dc.l	floprd			| 2 - Read floppy
-		dc.l	flopwr			| 3 - Write floppy
-		dc.l	flopfmt			| 4 - Format floppy
-		dc.l	flopver			| 5 - Verify floppy
-		dc.l	protobt			| 6 - Create prototype boot sec.
-		dc.l	rand			| 7 - Generate random number
-		dc.l	api_get			| 8 - Get analog input
-		dc.l	api_zap			| 9 - Clear analog FIFO
+t14tab:		.dc.w	10			| Number of trap14 routines
+
+		.dc.l	piorec			| 0 - Get iorec address
+		.dc.l	setport			| 1 - Set ACIA parameters
+		.dc.l	floprd			| 2 - Read floppy
+		.dc.l	flopwr			| 3 - Write floppy
+		.dc.l	flopfmt			| 4 - Format floppy
+		.dc.l	flopver			| 5 - Verify floppy
+		.dc.l	protobt			| 6 - Create prototype boot sec.
+		.dc.l	rand			| 7 - Generate random number
+		.dc.l	api_get			| 8 - Get analog input
+		.dc.l	api_zap			| 9 - Clear analog FIFO
 
 		.endc
@@ -3365,18 +3365,18 @@
 | t13tab -- Trap-13 pointer table -- Primary BIOS functions
 | ------    -----------------------------------------------
-t13tab:		dc.w	12			| Number of Trap-13 routines
-
-		dc.l	nullrts			| 0 - (getmpb)
-		dc.l	bconstat		| 1 - bconstat
-		dc.l	bconin			| 2 - bconin
-		dc.l	bconout			| 3 - bconout
-		dc.l	nullrts			| 4 - (rwabs)
-		dc.l	setexec			| 5 - setexec
-		dc.l	nullrts			| 6 - (tickcal)
-		dc.l	nullrts			| 7 - (getbpb)
-		dc.l	bcostat			| 8 - bcostat
-		dc.l	nullrts			| 9 - (mediach)
-		dc.l	nullrts			| 10 - (drvmap)
-		dc.l	nullrts			| 11 - (shift)
+t13tab:		.dc.w	12			| Number of Trap-13 routines
+
+		.dc.l	nullrts			| 0 - (getmpb)
+		.dc.l	bconstat		| 1 - bconstat
+		.dc.l	bconin			| 2 - bconin
+		.dc.l	bconout			| 3 - bconout
+		.dc.l	nullrts			| 4 - (rwabs)
+		.dc.l	setexec			| 5 - setexec
+		.dc.l	nullrts			| 6 - (tickcal)
+		.dc.l	nullrts			| 7 - (getbpb)
+		.dc.l	bcostat			| 8 - bcostat
+		.dc.l	nullrts			| 9 - (mediach)
+		.dc.l	nullrts			| 10 - (drvmap)
+		.dc.l	nullrts			| 11 - (shift)
 
 		.page
@@ -3384,16 +3384,16 @@
 | t14tab -- Trap-14 pointer table -- Extended BIOS functions (Buchla 700 only)
 | ------    ------------------------------------------------------------------
-t14tab:		dc.w	10			| Number of trap14 routines
-
-		dc.l	piorec			| 0 - Get iorec address
-		dc.l	setport			| 1 - Set ACIA parameters
-		dc.l	nullrts			| 2 - (Read floppy)
-		dc.l	nullrts			| 3 - (Write floppy)
-		dc.l	nullrts			| 4 - (Format floppy)
-		dc.l	nullrts			| 5 - (Verify floppy)
-		dc.l	nullrts			| 6 - (Create prototype boot sec.)
-		dc.l	nullrts			| 7 - (Generate random number)
-		dc.l	nullrts			| 8 - (Get analog input)
-		dc.l	nullrts			| 9 - (Clear analog FIFO)
+t14tab:		.dc.w	10			| Number of trap14 routines
+
+		.dc.l	piorec			| 0 - Get iorec address
+		.dc.l	setport			| 1 - Set ACIA parameters
+		.dc.l	nullrts			| 2 - (Read floppy)
+		.dc.l	nullrts			| 3 - (Write floppy)
+		.dc.l	nullrts			| 4 - (Format floppy)
+		.dc.l	nullrts			| 5 - (Verify floppy)
+		.dc.l	nullrts			| 6 - (Create prototype boot sec.)
+		.dc.l	nullrts			| 7 - (Generate random number)
+		.dc.l	nullrts			| 8 - (Get analog input)
+		.dc.l	nullrts			| 9 - (Clear analog FIFO)
 
 		.endc
@@ -3403,12 +3403,12 @@
 | cdt01 -- Character device dispatch table #1 -- input status
 | -----    --------------------------------------------------
-cdt01:		dc.l	sr1ist			| 0 - PRT -- Printer
-		dc.l	sr2ist			| 1 - AUX -- Serial-2
-		dc.l	sr2ist			| 2 - CON -- Console
+cdt01:		.dc.l	sr1ist			| 0 - PRT -- Printer
+		.dc.l	sr2ist			| 1 - AUX -- Serial-2
+		.dc.l	sr2ist			| 2 - CON -- Console
 
 		.ifne	BUCHLA
 
-		dc.l	mc1ist			| 3 - MC1 -- MIDI-1
-		dc.l	mc2ist			| 4 - MC2 -- MIDI-2
+		.dc.l	mc1ist			| 3 - MC1 -- MIDI-1
+		.dc.l	mc2ist			| 4 - MC2 -- MIDI-2
 
 		.endc
@@ -3416,12 +3416,12 @@
 | cdt02 -- Character device dispatch table #2 -- input
 | -----    -------------------------------------------
-cdt02:		dc.l	sr1inp			| 0 - PRT -- Printer
-		dc.l	sr2inp			| 1 - AUX -- Serial-2
-		dc.l	sr2inp			| 2 - CON -- Console
+cdt02:		.dc.l	sr1inp			| 0 - PRT -- Printer
+		.dc.l	sr2inp			| 1 - AUX -- Serial-2
+		.dc.l	sr2inp			| 2 - CON -- Console
 
 		.ifne	BUCHLA
 
-		dc.l	mc1inp			| 3 - MC1 -- MIDI-1
-		dc.l	mc2inp			| 4 - MC2 -- MIDI-2
+		.dc.l	mc1inp			| 3 - MC1 -- MIDI-1
+		.dc.l	mc2inp			| 4 - MC2 -- MIDI-2
 
 		.endc
@@ -3429,11 +3429,11 @@
 | cdt03 -- Character device dispatch table #3 -- output
 | -----    --------------------------------------------
-cdt03:		dc.l	sr1out			| 0 - PRT -- Printer
-		dc.l	sr2out			| 1 - AUX -- Serial-2
-		dc.l	sr2out			| 2 - CON -- Console
+cdt03:		.dc.l	sr1out			| 0 - PRT -- Printer
+		.dc.l	sr2out			| 1 - AUX -- Serial-2
+		.dc.l	sr2out			| 2 - CON -- Console
 		.ifne	BUCHLA
 
-		dc.l	mc1out			| 3 - MC1 -- MIDI-1
-		dc.l	mc2out			| 4 - MC2 -- MIDI-2
+		.dc.l	mc1out			| 3 - MC1 -- MIDI-1
+		.dc.l	mc2out			| 4 - MC2 -- MIDI-2
 
 		.endc
@@ -3441,11 +3441,11 @@
 | cdt04 -- Character device dispatch table #4 -- output status
 | -----    ---------------------------------------------------
-cdt04:		dc.l	sr1ost			| 0 - PRT -- Printer
-		dc.l	sr2ost			| 1 - AUX -- Serial-2
-		dc.l	sr2ost			| 2 - CON -- Console
+cdt04:		.dc.l	sr1ost			| 0 - PRT -- Printer
+		.dc.l	sr2ost			| 1 - AUX -- Serial-2
+		.dc.l	sr2ost			| 2 - CON -- Console
 		.ifne	BUCHLA
 
-		dc.l	mc1ost			| 3 - MC1 -- MIDI-1
-		dc.l	mc2ost			| 4 - MC2 -- MIDI-2
+		.dc.l	mc1ost			| 3 - MC1 -- MIDI-1
+		.dc.l	mc2ost			| 4 - MC2 -- MIDI-2
 
 		.endc
@@ -3457,37 +3457,37 @@
 | Serial-1:
 | ---------
-sr1dflt:	dc.l	sr1ibuf
-		dc.w	SR1IBS
-		dc.w	0,0
-		dc.w	SR1IBS/4
-		dc.w	SR1IBS-(SR1IBS/4)
-		dc.l	sr1obuf
-		dc.w	SR1OBS
-		dc.w	0,0
-		dc.w	SR1OBS/4
-		dc.w	SR1OBS-(SR1OBS/4)
-		dc.b	SR1CFR0,SR1CFR1
-		dc.b	0,0
-		dc.b	SR1DISC,0
-		dc.b	0,0
-		dc.w	0,0
+sr1dflt:	.dc.l	sr1ibuf
+		.dc.w	SR1IBS
+		.dc.w	0,0
+		.dc.w	SR1IBS/4
+		.dc.w	SR1IBS-(SR1IBS/4)
+		.dc.l	sr1obuf
+		.dc.w	SR1OBS
+		.dc.w	0,0
+		.dc.w	SR1OBS/4
+		.dc.w	SR1OBS-(SR1OBS/4)
+		.dc.b	SR1CFR0,SR1CFR1
+		.dc.b	0,0
+		.dc.b	SR1DISC,0
+		.dc.b	0,0
+		.dc.w	0,0
 
 | Serial-2:
 | ---------
-sr2dflt:	dc.l	sr2ibuf
-		dc.w	SR2IBS
-		dc.w	0,0
-		dc.w	SR2IBS/4
-		dc.w	SR2IBS-(SR2IBS/4)
-		dc.l	sr2obuf
-		dc.w	SR2OBS
-		dc.w	0,0
-		dc.w	SR2OBS/4
-		dc.w	SR2OBS-(SR2OBS/4)
-		dc.b	SR2CFR0,SR2CFR1
-		dc.b	0,0
-		dc.b	SR2DISC,0
-		dc.b	0,0
-		dc.w	0,0
+sr2dflt:	.dc.l	sr2ibuf
+		.dc.w	SR2IBS
+		.dc.w	0,0
+		.dc.w	SR2IBS/4
+		.dc.w	SR2IBS-(SR2IBS/4)
+		.dc.l	sr2obuf
+		.dc.w	SR2OBS
+		.dc.w	0,0
+		.dc.w	SR2OBS/4
+		.dc.w	SR2OBS-(SR2OBS/4)
+		.dc.b	SR2CFR0,SR2CFR1
+		.dc.b	0,0
+		.dc.b	SR2DISC,0
+		.dc.b	0,0
+		.dc.w	0,0
 
 		.page
@@ -3497,37 +3497,37 @@
 | MIDI-1:
 | -------
-mc1dflt:	dc.l	mc1ibuf
-		dc.w	MC1IBS
-		dc.w	0,0
-		dc.w	MC1IBS/4
-		dc.w	MC1IBS-(MC1IBS/4)
-		dc.l	mc1obuf
-		dc.w	MC1OBS
-		dc.w	0,0
-		dc.w	MC1OBS/4
-		dc.w	MC1OBS-(MC1OBS/4)
-		dc.b	MC1CFR0,MC1CFR1
-		dc.b	0,0
-		dc.b	MC1DISC,0
-		dc.b	0,0
-		dc.w	0,0
+mc1dflt:	.dc.l	mc1ibuf
+		.dc.w	MC1IBS
+		.dc.w	0,0
+		.dc.w	MC1IBS/4
+		.dc.w	MC1IBS-(MC1IBS/4)
+		.dc.l	mc1obuf
+		.dc.w	MC1OBS
+		.dc.w	0,0
+		.dc.w	MC1OBS/4
+		.dc.w	MC1OBS-(MC1OBS/4)
+		.dc.b	MC1CFR0,MC1CFR1
+		.dc.b	0,0
+		.dc.b	MC1DISC,0
+		.dc.b	0,0
+		.dc.w	0,0
 
 | MIDI-2:
 | -------
-mc2dflt:	dc.l	mc2ibuf
-		dc.w	MC2IBS
-		dc.w	0,0
-		dc.w	MC2IBS/4
-		dc.w	MC2IBS-(MC2IBS/4)
-		dc.l	mc2obuf
-		dc.w	MC2OBS
-		dc.w	0,0
-		dc.w	MC2OBS/4
-		dc.w	MC2OBS-(MC2OBS/4)
-		dc.b	MC2CFR0,MC2CFR1
-		dc.b	0,0
-		dc.b	MC2DISC,0
-		dc.b	0,0
-		dc.w	0,0
+mc2dflt:	.dc.l	mc2ibuf
+		.dc.w	MC2IBS
+		.dc.w	0,0
+		.dc.w	MC2IBS/4
+		.dc.w	MC2IBS-(MC2IBS/4)
+		.dc.l	mc2obuf
+		.dc.w	MC2OBS
+		.dc.w	0,0
+		.dc.w	MC2OBS/4
+		.dc.w	MC2OBS-(MC2OBS/4)
+		.dc.b	MC2CFR0,MC2CFR1
+		.dc.b	0,0
+		.dc.b	MC2DISC,0
+		.dc.b	0,0
+		.dc.w	0,0
 
 		.endc
@@ -3537,25 +3537,25 @@
 | brtable -- Baud rate setup table
 | -------    ---------------------
-brtable:	dc.b	BR_19K2		| 0 - 19200 baud
-		dc.b	BR_9600		| 1 -  9600 baud
-		dc.b	BR_4800		| 2 -  4800 baud
-		dc.b	BR_3600		| 3 -  3600 baud
-		dc.b	BR_2400		| 4 -  2400 baud
-		dc.b	BR_7200		| 5 -  7200 baud  (2000 on Atari)
-		dc.b	BR_1800		| 6 -  1800 baud
-		dc.b	BR_1200		| 7 -  1200 baud
-		dc.b	BR_600		| 8 -   600 baud
-		dc.b	BR_300		| 9 -   300 baud
+brtable:	.dc.b	BR_19K2		| 0 - 19200 baud
+		.dc.b	BR_9600		| 1 -  9600 baud
+		.dc.b	BR_4800		| 2 -  4800 baud
+		.dc.b	BR_3600		| 3 -  3600 baud
+		.dc.b	BR_2400		| 4 -  2400 baud
+		.dc.b	BR_7200		| 5 -  7200 baud  (2000 on Atari)
+		.dc.b	BR_1800		| 6 -  1800 baud
+		.dc.b	BR_1200		| 7 -  1200 baud
+		.dc.b	BR_600		| 8 -   600 baud
+		.dc.b	BR_300		| 9 -   300 baud
 
 | iortab -- iorec pointer table
 | ------    -------------------
-iortab:		dc.l	sr1iorec	| 0 - PRT Serial-1 Printer
-		dc.l	sr2iorec	| 1 - AUX Serial-2 Host
-		dc.l	sr2iorec	| 2 - CON Serial-2 Console
+iortab:		.dc.l	sr1iorec	| 0 - PRT Serial-1 Printer
+		.dc.l	sr2iorec	| 1 - AUX Serial-2 Host
+		.dc.l	sr2iorec	| 2 - CON Serial-2 Console
 
 		.ifne	BUCHLA
 
-		dc.l	mc1iorec	| 3 - MC1 MIDI-1   MIDI port #1
-		dc.l	mc2iorec	| 4 - MC2 MIDI-2   MIDI port #2
+		.dc.l	mc1iorec	| 3 - MC1 MIDI-1   MIDI port #1
+		.dc.l	mc2iorec	| 4 - MC2 MIDI-2   MIDI port #2
 
 		.endc
@@ -3563,12 +3563,12 @@
 | aciatab -- iorec and ACIA pointer table
 | -------    ----------------------------
-aciatab:	dc.l	sr1iorec,SR1ACIA	| 0 - PRT Serial-1
-		dc.l	sr2iorec,SR2ACIA	| 1 - AUX Serial-2
-		dc.l	sr2iorec,SR2ACIA	| 2 - CON Serial-2
+aciatab:	.dc.l	sr1iorec,SR1ACIA	| 0 - PRT Serial-1
+		.dc.l	sr2iorec,SR2ACIA	| 1 - AUX Serial-2
+		.dc.l	sr2iorec,SR2ACIA	| 2 - CON Serial-2
 
 		.ifne	BUCHLA
 
-		dc.l	mc1iorec,MC1ACIA	| 3 - MC1 MIDI-1
-		dc.l	mc2iorec,MC2ACIA	| 4 - MC2 MIDI-2
+		.dc.l	mc1iorec,MC1ACIA	| 3 - MC1 MIDI-1
+		.dc.l	mc2iorec,MC2ACIA	| 4 - MC2 MIDI-2
 
 		.endc
@@ -3583,25 +3583,25 @@
 | 0 -- 40 tracks, single sided (180K)
 
-pbpbtab:	dc.b	0x00,0x02,0x01,0x01,0x00,0x02,0x40,0x00
-		dc.b	0x68,0x01,0xFC,0x02,0x00,0x09,0x00,0x01
-		dc.b	0x00,0x00,0x00
+pbpbtab:	.dc.b	0x00,0x02,0x01,0x01,0x00,0x02,0x40,0x00
+		.dc.b	0x68,0x01,0xFC,0x02,0x00,0x09,0x00,0x01
+		.dc.b	0x00,0x00,0x00
 
 | 1 -- 40 tracks, double sided (360K)
 
-		dc.b	0x00,0x02,0x02,0x01,0x00,0x02,0x70,0x00
-		dc.b	0xD0,0x02,0xFD,0x02,0x00,0x09,0x00,0x02
-		dc.b	0x00,0x00,0x00
+		.dc.b	0x00,0x02,0x02,0x01,0x00,0x02,0x70,0x00
+		.dc.b	0xD0,0x02,0xFD,0x02,0x00,0x09,0x00,0x02
+		.dc.b	0x00,0x00,0x00
 
 | 2 -- 80 tracks, single sided (360K)
 
-		dc.b	0x00,0x02,0x02,0x01,0x00,0x02,0x70,0x00
-		dc.b	0xD0,0x02,0xF8,0x05,0x00,0x09,0x00,0x01
-		dc.b	0x00,0x00,0x00
+		.dc.b	0x00,0x02,0x02,0x01,0x00,0x02,0x70,0x00
+		.dc.b	0xD0,0x02,0xF8,0x05,0x00,0x09,0x00,0x01
+		.dc.b	0x00,0x00,0x00
 
 | 3 -- 80 tracks, double sided (720K)
 
-		dc.b	0x00,0x02,0x02,0x01,0x00,0x02,0x70,0x00
-		dc.b	0xA0,0x05,0xF9,0x05,0x00,0x09,0x00,0x02
-		dc.b	0x00,0x00,0x00
+		.dc.b	0x00,0x02,0x02,0x01,0x00,0x02,0x70,0x00
+		.dc.b	0xA0,0x05,0xF9,0x05,0x00,0x09,0x00,0x02
+		.dc.b	0x00,0x00,0x00
 
 | VSDD initialization table
@@ -3609,24 +3609,24 @@
 		.even
 
-vsddtab:	dc.w	0x8252		| R0	Mode word 0
-		dc.w	0xE474		| R1	Mode word 1
-		dc.w	0x0006		| R2	Register window base
-		dc.w	0x0100		| R3	Data window base
-		dc.w	0x0000		| R4	Data length mask
-		dc.w	0x0000		| R5	Data segment base
-		dc.w	0x0001		| R6	Priority access count
-		dc.w	0x0040		| R7	ODT base
-		dc.w	0x0080		| R8	AT base
-		dc.w	0x0010		| R9	CLT base
-		dc.w	0x0011		| R10	CG bases
-		dc.w	0x0000		| R11	AT counter  (R/O)
-
-		dc.w	0x0C08		| R12	HC0 =  3, VC0 =   8
-		dc.w	0x140A		| R13	HC1 =  5, VC1 =  10
-		dc.w	0x9568		| R14	HC2 = 37, VC2 = 360
-		dc.w	0xA16A		| R15	HC3 = 40, VC3 = 362
-
-vsddit01:	dc.w	0x8253		| R0 with UCF = 1, DEN = 0
-vsddit02:	dc.w	0x825B		| R0 with UCF = 1, DEN = 1
+vsddtab:	.dc.w	0x8252		| R0	Mode word 0
+		.dc.w	0xE474		| R1	Mode word 1
+		.dc.w	0x0006		| R2	Register window base
+		.dc.w	0x0100		| R3	Data window base
+		.dc.w	0x0000		| R4	Data length mask
+		.dc.w	0x0000		| R5	Data segment base
+		.dc.w	0x0001		| R6	Priority access count
+		.dc.w	0x0040		| R7	ODT base
+		.dc.w	0x0080		| R8	AT base
+		.dc.w	0x0010		| R9	CLT base
+		.dc.w	0x0011		| R10	CG bases
+		.dc.w	0x0000		| R11	AT counter  (R/O)
+
+		.dc.w	0x0C08		| R12	HC0 =  3, VC0 =   8
+		.dc.w	0x140A		| R13	HC1 =  5, VC1 =  10
+		.dc.w	0x9568		| R14	HC2 = 37, VC2 = 360
+		.dc.w	0xA16A		| R15	HC3 = 40, VC3 = 362
+
+vsddit01:	.dc.w	0x8253		| R0 with UCF = 1, DEN = 0
+vsddit02:	.dc.w	0x825B		| R0 with UCF = 1, DEN = 1
 
 		.page
@@ -3634,17 +3634,17 @@
 | analog processor input state table
 
-api_tab:	dc.b	0,1,1,1,1,1,1,1,1,1	| 0..9
-		dc.b	1,1,1,1,1,1,1,1,1,1	| 10..19
-		dc.b	1,1,1,1,1		| 20..24
-		dc.b	3,3,3,3,3		| 25..29
-		dc.b	3,3,3,3,3,3,3,3,3	| 30..38
-		dc.b	5			| 39
-		dc.b	5,5,5,5,5,5,5,5,5,5	| 40..49
-		dc.b	5,5,5			| 50..52
-		dc.b	3,3,3,3,3,3,3		| 53..59
-		dc.b	5,5,5,5,5,5,5,5,5,5	| 60..69
-		dc.b	5,5,5			| 70..72
-		dc.b	6,6,6,6,6,6,6		| 73..79
-		dc.b	6,6,6			| 80..82
+api_tab:	.dc.b	0,1,1,1,1,1,1,1,1,1	| 0..9
+		.dc.b	1,1,1,1,1,1,1,1,1,1	| 10..19
+		.dc.b	1,1,1,1,1		| 20..24
+		.dc.b	3,3,3,3,3		| 25..29
+		.dc.b	3,3,3,3,3,3,3,3,3	| 30..38
+		.dc.b	5			| 39
+		.dc.b	5,5,5,5,5,5,5,5,5,5	| 40..49
+		.dc.b	5,5,5			| 50..52
+		.dc.b	3,3,3,3,3,3,3		| 53..59
+		.dc.b	5,5,5,5,5,5,5,5,5,5	| 60..69
+		.dc.b	5,5,5			| 70..72
+		.dc.b	6,6,6,6,6,6,6		| 73..79
+		.dc.b	6,6,6			| 80..82
 
 		.even
@@ -3652,6 +3652,6 @@
 | analog processor state transfer vector
 
-api_tv:		dc.l	api_s0,api_s1,api_s2,api_s3
-		dc.l	api_s4,api_s5,api_s6
+api_tv:		.dc.l	api_s0,api_s1,api_s2,api_s3
+		.dc.l	api_s4,api_s5,api_s6
 
 		.endc
@@ -3676,24 +3676,24 @@
 | hwdefs.s so beware of changing them.
 
-timevec:	ds.l	1		| System timer trap vector
-critvec:	ds.l	1		| Critical error handler vector
-termvec:	ds.l	1		| Process terminate hook vector
-resvec3:	ds.l	1		| Reserved vector 3
-resvec4:	ds.l	1		| Reserved vector 4
-resvec5:	ds.l	1		| Reserved vector 5
-resvec6:	ds.l	1		| Reserved vector 6
-resvec7:	ds.l	1		| Reserved vector 7
-
-fc_sw:		ds.w	1		| Frame clock switch (<0=dn, 0=off, >0=up)
-fc_val:		ds.l	1		| Frame clock value  (0..FCMAX)
-
-_wzcrsh:	ds.w	1		| Crash area: flag for ROMP
-_crshsr:	ds.w	1		| Crash area: SR
-_crshpc:	ds.l	1		| Crash area: PC
-_crshsp:	ds.l	1		| Crash area: SP
-_crshus:	ds.l	1		| Crash area: USP
-_crshvc:	ds.l	1		| Crash area: vector # in MS byte
-_crshrg:	ds.l	16		| Crash area: registers
-_crshst:	ds.w	16		| Crash area: top 16 words of stack
+timevec:	.ds.l	1		| System timer trap vector
+critvec:	.ds.l	1		| Critical error handler vector
+termvec:	.ds.l	1		| Process terminate hook vector
+resvec3:	.ds.l	1		| Reserved vector 3
+resvec4:	.ds.l	1		| Reserved vector 4
+resvec5:	.ds.l	1		| Reserved vector 5
+resvec6:	.ds.l	1		| Reserved vector 6
+resvec7:	.ds.l	1		| Reserved vector 7
+
+fc_sw:		.ds.w	1		| Frame clock switch (<0=dn, 0=off, >0=up)
+fc_val:		.ds.l	1		| Frame clock value  (0..FCMAX)
+
+_wzcrsh:	.ds.w	1		| Crash area: flag for ROMP
+_crshsr:	.ds.w	1		| Crash area: SR
+_crshpc:	.ds.l	1		| Crash area: PC
+_crshsp:	.ds.l	1		| Crash area: SP
+_crshus:	.ds.l	1		| Crash area: USP
+_crshvc:	.ds.l	1		| Crash area: vector # in MS byte
+_crshrg:	.ds.l	16		| Crash area: registers
+_crshst:	.ds.w	16		| Crash area: top 16 words of stack
 
 | The area from biosram to SSTACK-1 is cleared on reset.
@@ -3703,36 +3703,36 @@
 		.ifne	BUCHLA
 
-_hz_1k:		ds.l	1		| 1000 Hz clock
-_hz_200:	ds.l	1		| 200 Hz clock
-frclock:	ds.l	1		| 50 Hz clock
-t1count:	ds.w	1		| Timer 1 count
-t2count:	ds.w	1		| Timer 2 count
-t3count:	ds.w	1		| Timer 3 count
-
-seekrate:	ds.w	1		| Seek rate
-cdev:		ds.w	1		| Current drive
-ctrack:		ds.w	1		| Current track
-csect:		ds.w	1		| Current sector
-cside:		ds.w	1		| Current side
-ccount:		ds.w	1		| Current sector count
-spt:		ds.w	1		| Sectors per track
-interlv:	ds.w	1		| Sector interleave count
-virgin:		ds.w	1		| Initial formatting data
-deferr:		ds.w	1		| Default error number
-curerr:		ds.w	1		| Current error number
-
-cdma:		ds.l	1		| Current DMA address
-edma:		ds.l	1		| Ending DMA address
-tmpdma:		ds.l	1		| Temporary DMA address
-
-		.endc
-
-rseed:		ds.l	1		| Random number seed
-
-savptr:		ds.l	1		| Pointer to register save area
-
-_rsflag:	ds.l	1		| Register save area overflow flag
-		ds.l	18|32		| Register save area  (32 levels)
-rsarea:		ds.l	1		| Dummy long word at top of save area
+_hz_1k:		.ds.l	1		| 1000 Hz clock
+_hz_200:	.ds.l	1		| 200 Hz clock
+frclock:	.ds.l	1		| 50 Hz clock
+t1count:	.ds.w	1		| Timer 1 count
+t2count:	.ds.w	1		| Timer 2 count
+t3count:	.ds.w	1		| Timer 3 count
+
+seekrate:	.ds.w	1		| Seek rate
+cdev:		.ds.w	1		| Current drive
+ctrack:		.ds.w	1		| Current track
+csect:		.ds.w	1		| Current sector
+cside:		.ds.w	1		| Current side
+ccount:		.ds.w	1		| Current sector count
+spt:		.ds.w	1		| Sectors per track
+interlv:	.ds.w	1		| Sector interleave count
+virgin:		.ds.w	1		| Initial formatting data
+deferr:		.ds.w	1		| Default error number
+curerr:		.ds.w	1		| Current error number
+
+cdma:		.ds.l	1		| Current DMA address
+edma:		.ds.l	1		| Ending DMA address
+tmpdma:		.ds.l	1		| Temporary DMA address
+
+		.endc
+
+rseed:		.ds.l	1		| Random number seed
+
+savptr:		.ds.l	1		| Pointer to register save area
+
+_rsflag:	.ds.l	1		| Register save area overflow flag
+		.ds.l	18|32		| Register save area  (32 levels)
+rsarea:		.ds.l	1		| Dummy long word at top of save area
 
 | ||||| end of the permanently assigned bios variables |||||
@@ -3742,84 +3742,84 @@
 		.ifne	BUCHLA
 
-acctim:		ds.l	2		| Accumulated disk time table
-maxactim:	ds.l	1		| Maximum acctim value
-hdv_init:	ds.l	1		| Disk init vector
-hdv_bpb:	ds.l	1		| Disk get bpb vector
-hdv_rw:		ds.l	1		| Disk r/w vector
-hdv_boot:	ds.l	1		| Disk boot vector
-hdv_mchg:	ds.l	1		| Disk media change vector
-drvbits:	ds.l	1		| Drive map bits
-dskbufp:	ds.l	1		| Disk buffer pointer
-		.page
-nflops:		ds.w	1		| Number of drives
-disknum:	ds.w	1		| Current disk number
-booted:		ds.w	1		| Most recent boot device or -1
-flock:		ds.w	1		| Floppy semaphore
-fverify:	ds.w	1		| Floppy verify flag
-
-tdiv1:		ds.w	1		| Timer divider 1  (divides _hz_1k)
-tdiv2:		ds.w	1		| Timer divider 2  (divides _hz_200)
-
-retrycnt:	ds.w	1		| Re-try count
-wpstatus:	ds.w	1		| Write protect status table
-wplatch:	ds.w	1		| Write protect latch table
-bootdev:	ds.w	1		| Boot device number
-
-motoron:	ds.w	1		| Motor-on flag
-deslflag:	ds.w	1		| Drive deselect flag
-
-		.endc
-
-flpsrsv:	ds.w	1		| Status register save area
-flpregs:	ds.l	16		| Register save area
+acctim:		.ds.l	2		| Accumulated disk time table
+maxactim:	.ds.l	1		| Maximum acctim value
+hdv_init:	.ds.l	1		| Disk init vector
+hdv_bpb:	.ds.l	1		| Disk get bpb vector
+hdv_rw:		.ds.l	1		| Disk r/w vector
+hdv_boot:	.ds.l	1		| Disk boot vector
+hdv_mchg:	.ds.l	1		| Disk media change vector
+drvbits:	.ds.l	1		| Drive map bits
+dskbufp:	.ds.l	1		| Disk buffer pointer
+		.page
+nflops:		.ds.w	1		| Number of drives
+disknum:	.ds.w	1		| Current disk number
+booted:		.ds.w	1		| Most recent boot device or -1
+flock:		.ds.w	1		| Floppy semaphore
+fverify:	.ds.w	1		| Floppy verify flag
+
+tdiv1:		.ds.w	1		| Timer divider 1  (divides _hz_1k)
+tdiv2:		.ds.w	1		| Timer divider 2  (divides _hz_200)
+
+retrycnt:	.ds.w	1		| Re-try count
+wpstatus:	.ds.w	1		| Write protect status table
+wplatch:	.ds.w	1		| Write protect latch table
+bootdev:	.ds.w	1		| Boot device number
+
+motoron:	.ds.w	1		| Motor-on flag
+deslflag:	.ds.w	1		| Drive deselect flag
+
+		.endc
+
+flpsrsv:	.ds.w	1		| Status register save area
+flpregs:	.ds.l	16		| Register save area
 
 		.ifne	BUCHLA
 
-dsb0:		ds.l	1		| Drive A DSB
-dsb1:		ds.l	1		| Drive B DSB
-
-dskmode:	ds.b	2		| Disk change mode table
-dskerrs:	ds.w	2		| Disk error code table
-drvbpbs:	ds.w	16|2		| Disk BPB save area
-
-		.endc
-
-		.page
-
-sr1iorec:	ds.b	IORECLN		| Serial-1 iorec structure
-sr2iorec:	ds.b	IORECLN		| Serial-2 iorec structure
+dsb0:		.ds.l	1		| Drive A DSB
+dsb1:		.ds.l	1		| Drive B DSB
+
+dskmode:	.ds.b	2		| Disk change mode table
+dskerrs:	.ds.w	2		| Disk error code table
+drvbpbs:	.ds.w	16|2		| Disk BPB save area
+
+		.endc
+
+		.page
+
+sr1iorec:	.ds.b	IORECLN		| Serial-1 iorec structure
+sr2iorec:	.ds.b	IORECLN		| Serial-2 iorec structure
 
 		.ifne	BUCHLA
 
-mc1iorec:	ds.b	IORECLN		| MIDI-1 iorec structure
-mc2iorec:	ds.b	IORECLN		| MIDI-2 iorec structure
-
-		.endc
-
-sr1ibuf:	ds.b	SR1IBS		| Serial-1 input buffer
-sr1obuf:	ds.b	SR1OBS		| Serial-1 output buffer
-sr2ibuf:	ds.b	SR2IBS		| Serial-2 input buffer
-sr2obuf:	ds.b	SR2OBS		| Serial-2 output buffer
+mc1iorec:	.ds.b	IORECLN		| MIDI-1 iorec structure
+mc2iorec:	.ds.b	IORECLN		| MIDI-2 iorec structure
+
+		.endc
+
+sr1ibuf:	.ds.b	SR1IBS		| Serial-1 input buffer
+sr1obuf:	.ds.b	SR1OBS		| Serial-1 output buffer
+sr2ibuf:	.ds.b	SR2IBS		| Serial-2 input buffer
+sr2obuf:	.ds.b	SR2OBS		| Serial-2 output buffer
 
 		.ifne	BUCHLA
 
-mc1ibuf:	ds.b	MC1IBS		| MIDI-1 input buffer
-mc1obuf:	ds.b	MC1OBS		| MIDI-1 output buffer
-mc2ibuf:	ds.b	MC2IBS		| MIDI-2 input buffer
-mc2obuf:	ds.b	MC2OBS		| MIDI-2 output buffer
-
-api_inp:	ds.b	1		| Analog processor input byte
-api_bug:	ds.b	1		| Analog processor signal # "bug trap"
-api_sv:		ds.b	1		| Analog processor state
-api_svb:	ds.b	1		| Analog processor state "bug trap"
+mc1ibuf:	.ds.b	MC1IBS		| MIDI-1 input buffer
+mc1obuf:	.ds.b	MC1OBS		| MIDI-1 output buffer
+mc2ibuf:	.ds.b	MC2IBS		| MIDI-2 input buffer
+mc2obuf:	.ds.b	MC2OBS		| MIDI-2 output buffer
+
+api_inp:	.ds.b	1		| Analog processor input byte
+api_bug:	.ds.b	1		| Analog processor signal # "bug trap"
+api_sv:		.ds.b	1		| Analog processor state
+api_svb:	.ds.b	1		| Analog processor state "bug trap"
 
 		.even
 
-api_sig:	ds.b	1		| Analog signal number
-api_val:	ds.b	1		| Analog value
-
-api_fi:		ds.l	1		| Analog processor FIFO input pointer
-api_fo:		ds.l	1		| Analog processor FIFO output pointer
-api_fum:	ds.w	APISIZE		| Analog processor FIFO
+api_sig:	.ds.b	1		| Analog signal number
+api_val:	.ds.b	1		| Analog value
+
+api_fi:		.ds.l	1		| Analog processor FIFO input pointer
+api_fo:		.ds.l	1		| Analog processor FIFO output pointer
+api_fum:	.ds.w	APISIZE		| Analog processor FIFO
 api_fe:					| End of analog processor FIFO
 
@@ -3828,7 +3828,7 @@
 		.even
 
-basepage:	ds.l	64		| Pseudo base page
-
-buffer:		ds.b	1024		| Default disk buffer
+basepage:	.ds.l	64		| Pseudo base page
+
+buffer:		.ds.b	1024		| Default disk buffer
 
 biostop:				| End of BIOS RAM
